#10 Built TclVFS fails test suite

closed-fixed
Jeffrey Hobbs
5
2004-06-04
2003-01-07
Larry W. Virden
No

when attempting to build the current tclvfs CVS head,
and installing it, I find that the test suite fails to run:

Tests began at Tue Jan 07 09:38:51 EST 2003
vfs.test
can't find package vfs
vfsArchive.test
/vol/tclsrcsol/tcl84/tclvfs

==== vfsArchive-1.1 run tests in zip archive FAILED
==== Contents of test case:

# If this test fails, you probably don't have 'zip'
installed.
set testdir [pwd]
puts stderr $testdir
package require vfs
if {[catch {makeAndMountZipArchive} unmount]} {
set res "Couldn't make zip archive to test
with: $unmount"
puts stderr $::auto_path
} else {
cd tests
source all.tcl
cd ..
cd ..
puts [pwd]
eval $unmount
set res "ok"
}
cd $testdir
set res

---- Result was:
can't find package vfs
---- Result should have been (exact matching):
ok
---- Test generated error; Return code was: 1
---- Return code should have been one of: 0 2
==== vfsArchive-1.1 FAILED

/vol/tclsrcsol/tcl84/tclvfs

==== vfsArchive-1.2 run tests in mk4 archive FAILED
==== Contents of test case:

# If this test fails, you probably don't have
tclkit and 'sdx'
# installed. That's not a big deal.
set testdir [pwd]
puts stderr $testdir
package require vfs
if {[catch {makeAndMountMk4Archive} unmount]} {
set res "Couldn't make mk4 archive to test
with: $unmount"
puts stderr $::auto_path
} else {
cd tests
source all.tcl
cd ..
cd ..
puts [pwd]
eval $unmount
set res "ok"
}
cd $testdir
set res

---- Result was:
can't find package vfs
---- Result should have been (exact matching):
ok
---- Test generated error; Return code was: 1
---- Return code should have been one of: 0 2
==== vfsArchive-1.2 FAILED

vfsFtp.test
can't find package vfs
vfsUrl.test
can't find package vfs
vfsZip.test

Tests ended at Tue Jan 07 09:38:52 EST 2003
all.tcl: Total 2 Passed 0 Skipped
0 Failed 2
Sourced 0 Test Files.

Note that the starkit and vfslib packages can be required.

Steve Cassidy, at
http://www.ics.mq.edu.au/~cassidy/cgi-bin/cantcl
has a modified version of the pkgIndex.tcl and .tcl
files that appear to include appropriate package
provide and require statements so that a version of the
software can be loaded appropriately.

Discussion

1 2 > >> (Page 1 of 2)
  • Logged In: YES
    user_id=15949

    Okay, the problem was that the configure and build created a
    libvfs1.0g.so but the pkgIndex.tcl was looking for
    libvfs1.0.so - looks like the pkgIndex.tcl needs to know
    whether a enable-symbols (or enable-threads - will that
    create libvfs1.0t.so ?) was specified.

     
  • Vince Darley
    Vince Darley
    2003-01-07

    • assigned_to: nobody --> hobbs
     
  • Vince Darley
    Vince Darley
    2003-01-07

    Logged In: YES
    user_id=32170

    I assume this is YATB. (Yet Another Tea Bug ;-)

     
  • Jeffrey Hobbs
    Jeffrey Hobbs
    2003-01-07

    • assigned_to: hobbs --> vincentdarley
     
  • Jeffrey Hobbs
    Jeffrey Hobbs
    2003-01-07

    Logged In: YES
    user_id=72656

    Actually this is what happens when you stray from the TEA
    spec. The pkgIndex.tcl file for tclvfs is hand-coded, not the
    TEA generated version, and doesn't recognize debug builds
    on Unix.

     
  • Vince Darley
    Vince Darley
    2003-01-08

    • assigned_to: vincentdarley --> nobody
     
  • Vince Darley
    Vince Darley
    2003-01-08

    Logged In: YES
    user_id=32170

    I'm not qualified to fix build problems on unix, or anything
    remotely related to tea. sorry!

     
  • Vince Darley
    Vince Darley
    2003-01-28

    • status: open --> closed-fixed
     
  • Vince Darley
    Vince Darley
    2003-01-28

    Logged In: YES
    user_id=32170

    This should be fixed now.

     
  • Logged In: YES
    user_id=15949

    Now as of when? The version of tclvfs from Jan 18 says this:

    $ make test
    TCL_LIBRARY=`echo /vol/tclsrcsol/tcl84/tcl/library`
    LD_LIBRARY_PATH=".:/vol/tclsrcsol/tcl84/tcl/unix:/usr/dt/lib:/usr/openwin/lib:/usr/lib:/cas/lib/sun4"
    LIBPATH=".:/vol/tclsrcsol/tcl84/tcl/unix:"
    SHLIB_PATH=".:/vol/tclsrcsol/tcl84/tcl/unix:"
    PATH=".:/vol/tclsrcsol/tcl84/tcl/unix:/usr/tcl8/bin:/opt/SUNWspro/bin:/volws/lwv26/ldatae/bin:/projects/sprs_lwv/sol26/bin:/projects/sprs_lwv/sol26/bin/mime:/projects/sprs_lwv/sol2/bin:/projects/sprs_lwv/bin:/projects/sprs_lwv/bin/mime:/home/lwv26/bin/D.news:/usr/perl5/bin:/projects/gnu/sparc-sun-solaris2.6/bin:/usr/tcl84/bin:/usr/tcl83/bin:/vol/tclsrcsol/TclDevKit/bin:/projects/xopsrc/sun4/bin:/projects/xopsrc/bin:/usr/atria/bin:/projects/intranet/bin:/projects/clearcase/bin:/vol/adobe/Acroread5.06/bin:/vol/adobe/Acrobat4.05/bin:/usr/perl5/lib/site_perl/5.005/sun4-solaris/auto/Image/Magick/bin:/usr/openwin/demo:/opt/sfw/bin:/home/lwv26/bin/D.aws:/home/lwv26/bin/sol2:/home/lwv26/bin/D.frontend:/home/lwv26/bin/D.ksh:/cas/test/bin/sun4:/projects/sprs_lwv/bin/sol2:/usr/j2se/bin:/usr/java/bin:/home/lwv26/bin/sun4:/usr/local/bin:/usr/dt/bin:/usr/openwin/bin:/bin:/cas/bin/sun4:/cas/abin/sun4:/cas/X11/sun4/bin:/usr/ccs/bin:/lprod/bin:/usr/sbin:/usr/ucb:/cas/tools/bin/sun4:/cas/X11/sun4/tools/bin:/home/lwv26/bin:/cas/tools/pdbin/sun4:/home/lwv26/bin/D.mistypes:/home/lwv26/bin/D.toys:/home/lwv26/bin/D.tools:/projects/npd/npdweb/bin-sol2"
    TCLLIBPATH="." /vol/tclsrcsol/tcl84/tcl/unix/tclsh `echo
    /vol/tclsrcsol/tcl84/tclvfs/tests/all.tcl`
    Tests running in interp: /vol/tclsrcsol/tcl84/tcl/unix/tclsh
    Tests running in working dir: /vol/tclsrcsol/tcl84/tclvfs/tests
    Only running tests that match: *
    Skipping test files that match: l.*.test
    Only sourcing test files that match: *.test
    Tests began at Tue Jan 28 07:59:12 EST 2003
    vfs.test
    can't find package vfs
    vfsArchive.test
    /vol/tclsrcsol/tcl84/tclvfs

    ==== vfsArchive-1.1 run tests in zip archive FAILED
    ==== Contents of test case:

    # If this test fails, you probably don't have 'zip'
    installed.
    set testdir [pwd]
    puts stderr $testdir
    package require vfs
    if {[catch {makeAndMountZipArchive} unmount]} {
    set res "Couldn't make zip archive to test with:
    $unmount"
    puts stderr $::auto_path
    } else {
    cd tests
    source all.tcl
    cd ..
    cd ..
    puts [pwd]
    eval $unmount
    set res "ok"
    }
    cd $testdir
    set res

    ---- Result was:
    can't find package vfs
    ---- Result should have been (exact matching):
    ok
    ---- Test generated error; Return code was: 1
    ---- Return code should have been one of: 0 2
    ==== vfsArchive-1.1 FAILED

    /vol/tclsrcsol/tcl84/tclvfs

    ==== vfsArchive-1.2 run tests in mk4 archive FAILED
    ==== Contents of test case:

    # If this test fails, you probably don't have tclkit and
    'sdx'
    # installed. That's not a big deal.
    set testdir [pwd]
    puts stderr $testdir
    package require vfs
    if {[catch {makeAndMountMk4Archive} unmount]} {
    set res "Couldn't make mk4 archive to test with:
    $unmount"
    puts stderr $::auto_path
    } else {
    cd tests
    source all.tcl
    cd ..
    cd ..
    puts [pwd]
    eval $unmount
    set res "ok"
    }
    cd $testdir
    set res

    ---- Result was:
    can't find package vfs
    ---- Result should have been (exact matching):
    ok
    ---- Test generated error; Return code was: 1
    ---- Return code should have been one of: 0 2
    ==== vfsArchive-1.2 FAILED

    vfsFtp.test
    can't find package vfs
    vfsUrl.test
    can't find package vfs
    vfsZip.test

    Tests ended at Tue Jan 28 07:59:12 EST 2003
    all.tcl: Total 2 Passed 0 Skipped 0
    Failed 2
    Sourced 0 Test Files.

     
  • Vince Darley
    Vince Darley
    2003-01-28

    Logged In: YES
    user_id=32170

    As of 5 minutes ago. Assuming the TEA side of the
    build (which I am unwilling to touch) does the right
    things, the .test/.tcl files contain appropriate 'package'
    statements so things should work.

     
  • Logged In: YES
    user_id=15949

    The tests/vfsArchive.test still has one package require gone
    - near the bottom.

     
  • Vince Darley
    Vince Darley
    2003-01-28

    Logged In: YES
    user_id=32170

    Where exactly? It looks ok to me. Each of the two procs
    does the package require it needs.

     
  • Logged In: YES
    user_id=15949

    I was just seeing these errors and made the apparently wrong
    assumption that it still had the error (these errors are
    after applying todays changes)

    Tests running in interp: /vol/tclsrcsol/tcl84/tcl/unix/tclsh
    Tests running in working dir: /vol/tclsrcsol/tcl84/tclvfs/tests
    Only running tests that match: *
    Skipping test files that match: l.*.test
    Only sourcing test files that match: *.test
    Tests began at Tue Jan 28 08:48:31 EST 2003
    vfs.test
    can't find package vfs
    vfsArchive.test
    /vol/tclsrcsol/tcl84/tclvfs
    Zipping tests
    Done zipping
    . /vol/tclsrcsol/tcl84/tcl/library /vol/tclsrcsol/tcl84/tcl
    /vol/tclsrcsol/tcl84/tcl/lib /usr/tcl84/lib
    /usr/tcl84/lib/tklib0.1

    ==== vfsArchive-1.1 run tests in zip archive FAILED
    ==== Contents of test case:

    # If this test fails, you probably don't have 'zip'
    installed.
    set testdir [pwd]
    puts stderr $testdir

    if {[catch {makeAndMountZipArchive} unmount]} {
    set res "Couldn't make zip archive to test with:
    $unmount"
    puts stderr $::auto_path
    } else {
    cd tests
    source all.tcl
    cd ..
    cd ..
    puts [pwd]
    eval $unmount
    set res "ok"
    }
    cd $testdir
    set res

    ---- Result was:
    Couldn't make zip archive to test with: couldn't read file
    "./zipvfs.tcl": no such file or directory
    ---- Result should have been (exact matching):
    ok
    ==== vfsArchive-1.1 FAILED

    /vol/tclsrcsol/tcl84/tclvfs

    ==== vfsArchive-1.2 run tests in mk4 archive FAILED
    ==== Contents of test case:

    # If this test fails, you probably don't have tclkit and
    'sdx'
    # installed. That's not a big deal.
    set testdir [pwd]
    puts stderr $testdir
    package require vfs
    if {[catch {makeAndMountMk4Archive} unmount]} {
    set res "Couldn't make mk4 archive to test with:
    $unmount"
    puts stderr $::auto_path
    } else {
    cd tests
    source all.tcl
    cd ..
    cd ..
    puts [pwd]
    eval $unmount
    set res "ok"
    }
    cd $testdir
    set res

    ---- Result was:
    can't find package vfs
    ---- Result should have been (exact matching):
    ok
    ---- Test generated error; Return code was: 1
    ---- Return code should have been one of: 0 2
    ==== vfsArchive-1.2 FAILED

    vfsFtp.test
    can't find package vfs 1.0
    vfsUrl.test
    can't find package vfs
    vfsZip.test
    can't find package vfs

    Tests ended at Tue Jan 28 08:48:31 EST 2003
    all.tcl: Total 2 Passed 0 Skipped 0
    Failed 2
    Sourced 0 Test Files.

     
  • Logged In: YES
    user_id=15949

    Okay, to ensure that I had not messed anything up, I just
    got the CVS head of this module. I built it fresh on SPARC
    Solaris 2.6 using Sun's C compiler, version 5.3 . Then,
    before installing it, I did a make test.
    I got a similar, but expanded, set of errors (before, I had
    taken the old version of tclvfs I had and edited the library
    files to match the changes made today...)

    Tests running in interp: /vol/tclsrcsol/tcl84/tcl/unix/tclsh
    Tests running in working dir: /vol/tclsrcsol/tcl84/tclvfs/tests
    Only running tests that match: *
    Skipping test files that match: l.*.test
    Only sourcing test files that match: *.test
    Tests began at Tue Jan 28 09:25:49 EST 2003
    vfs.test

    ==== vfs-3.2 vfs helpers: crc FAILED
    ==== Contents of test case:

    # If this test fails, probably many other tests will
    fail too (at
    # least anything to do with 'zip' vfs).
    ::vfs::crc abcd

    ---- Result was:
    can't find package Trf
    ---- Result should have been (exact matching):
    Kc*
    ---- Test generated error; Return code was: 1
    ---- Return code should have been one of: 0 2
    ==== vfs-3.2 FAILED

    ==== vfs-3.3 vfs helpers: zip FAILED
    ==== Contents of test case:

    # If this test fails, probably many other tests will
    fail too (at
    # least anything to do with 'zip' vfs).
    ::vfs::zip -mode compress 1234567890

    ---- Result was:
    can't find package Trf
    ---- Result should have been (exact matching):
    x<9C>3426153<B7><B0>4^@^@^K,^B^N
    ---- Test generated error; Return code was: 1
    ---- Return code should have been one of: 0 2
    ==== vfs-3.3 FAILED

    ==== vfs-3.4 vfs helpers: zip FAILED
    ==== Contents of test case:

    # If this test fails, probably many other tests will
    fail too (at
    # least anything to do with 'zip' vfs).
    ::vfs::zip -mode decompress
    "\x78\x9c\x33\x34\x32\x36\x31\x35\x33\xb7\xb0\x3
    4\x0\x0\xb\x2c\x2\xe"

    ---- Result was:
    can't find package Trf
    ---- Result should have been (exact matching):
    1234567890
    ---- Test generated error; Return code was: 1
    ---- Return code should have been one of: 0 2
    ==== vfs-3.4 FAILED

    vfsArchive.test
    /vol/tclsrcsol/tcl84/tclvfs
    Zipping tests
    Done zipping
    . /vol/tclsrcsol/tcl84/tcl/library /vol/tclsrcsol/tcl84/tcl
    /vol/tclsrcsol/tcl84
    /tcl/lib /usr/tcl84/lib /usr/tcl84/lib/tklib0.1

    ==== vfsArchive-1.1 run tests in zip archive FAILED
    ==== Contents of test case:

    # If this test fails, you probably don't have 'zip'
    installed.
    set testdir [pwd]
    puts stderr $testdir
    package require vfs
    if {[catch {makeAndMountZipArchive} unmount]} {
    set res "Couldn't make zip archive to test with:
    $unmount"
    puts stderr $::auto_path
    } else {
    cd tests
    source all.tcl
    cd ..
    cd ..
    puts [pwd]
    eval $unmount
    set res "ok"
    }
    cd $testdir
    set res

    ---- Result was:
    Couldn't make zip archive to test with: couldn't read file
    "./zipvfs.tcl": no su
    ch file or directory
    ---- Result should have been (exact matching):
    ok
    ==== vfsArchive-1.1 FAILED

    /vol/tclsrcsol/tcl84/tclvfs
    Making mk4 archive of tests
    Done making mk4 archive
    . /vol/tclsrcsol/tcl84/tcl/library /vol/tclsrcsol/tcl84/tcl
    /vol/tclsrcsol/tcl84
    /tcl/lib /usr/tcl84/lib /usr/tcl84/lib/tklib0.1

    ==== vfsArchive-1.2 run tests in mk4 archive FAILED
    ==== Contents of test case:

    # If this test fails, you probably don't have tclkit and
    'sdx'
    # installed. That's not a big deal.
    set testdir [pwd]
    puts stderr $testdir
    package require vfs
    if {[catch {makeAndMountMk4Archive} unmount]} {
    set res "Couldn't make mk4 archive to test with:
    $unmount"
    puts stderr $::auto_path
    } else {
    cd tests
    source all.tcl
    cd ..
    cd ..
    puts [pwd]
    eval $unmount
    set res "ok"
    }
    cd $testdir
    set res

    ---- Result was:
    Couldn't make mk4 archive to test with: couldn't read file
    "./mk4vfs.tcl": no su
    ch file or directory
    ---- Result should have been (exact matching):
    ok
    ==== vfsArchive-1.2 FAILED

    vfsFtp.test
    These tests require an internet connection, and might
    take a long time to complete.
    error error | E: Error getting file size!

    ==== vfsFtp-1.1 mount and cd FAILED
    ==== Contents of test case:

    vfs::ftp::Mount ftp://ftp.ucsd.edu/pub/alpha/ localmount
    cd localmount
    cd tcl
    file tail [pwd]

    ---- Result was:
    couldn't change working directory to "tcl": no such file or
    directory
    ---- Result should have been (exact matching):
    tcl
    ---- Test generated error; Return code was: 1
    ---- Return code should have been one of: 0 2
    ==== vfsFtp-1.1 FAILED

    ==== vfsFtp-1.2 mount and glob FAILED
    ==== Contents of test case:

    glob -nocomplain vfsTest.tcl

    ---- Result was:

    ---- Result should have been (exact matching):
    vfsTest.tcl
    ==== vfsFtp-1.2 FAILED

    ==== vfsFtp-1.3 mount and source FAILED
    ==== Contents of test case:

    source vfsTest.tcl

    ---- Result was:
    couldn't read file "vfsTest.tcl": no such file or directory
    ---- Result should have been (exact matching):
    This was returned from a remote file
    ---- Test generated error; Return code was: 1
    ---- Return code should have been one of: 0 2
    ==== vfsFtp-1.3 FAILED

    vfsUrl.test
    These tests require an internet connection, and might
    take a long time to complete.
    debug | 878 bytes sent in 1 seconds (878 Bytes/s)
    vfsZip.test

    Tests ended at Tue Jan 28 09:27:28 EST 2003
    all.tcl: Total 18 Passed 10 Skipped 0
    Failed 8
    Sourced 3 Test Files.
    Files with failing tests: vfs.test vfsFtp.test

    I'm going to work on the Trf error right now...

     
  • Vince Darley
    Vince Darley
    2003-01-28

    Logged In: YES
    user_id=32170

    Thanks for looking into this further -- it's clearly v.
    unix and/or installation specific, which means it's not
    in my area!

     
  • Vince Darley
    Vince Darley
    2003-01-28

    • status: closed-fixed --> open-fixed
     
  • Logged In: YES
    user_id=15949

    Okay, here's what I have found today.

    the pkgIndex.tcl for tclvfs looks for $::tcl_platform(debug)
    to determine whether to load the regular or debug version of
    the vfs .so.

    That variable only exists on Windows - I don't know how you
    are supposed to make that sort of distinction on the other
    platforms.
    Anyways, in my environment, the vfs is the debug one. The
    pkgIndex.tcl is looking for the non-debug one. load fails -
    but the error doesn't show up during make test to let the
    developer know _why_ it is failing.

     
  • Jeffrey Hobbs
    Jeffrey Hobbs
    2003-01-29

    Logged In: YES
    user_id=72656

    Applied patch for configure-based users.

     
  • Jeffrey Hobbs
    Jeffrey Hobbs
    2003-01-29

    • status: open-fixed --> closed-fixed
     
  • Logged In: YES
    user_id=15949

    after getting memchan and Trf working, a test of tclvfs
    still reports these errors. This is off a CVS sync with the
    latest hobbs changes. Note that with the hobbs changes,
    make test attempts to use the pkgIndex.tcl in the tclvfs top
    directory, without copying the newly generated one in the
    library - causing some failures...

    After copying it up, I get:

    Zipping tests
    Done zipping
    . /tmp/tcl/tcl/library /tmp/tcl/tcl /tmp/tcl/tcl/lib
    /tmp/tcl/lib

    ==== vfsArchive-1.1 run tests in zip archive FAILED
    ==== Contents of test case:

    # If this test fails, you probably don't have 'zip'
    installed.
    set testdir [pwd]
    puts stderr $testdir
    package require vfs
    if {[catch {makeAndMountZipArchive} unmount]} {
    set res "Couldn't make zip archive to test with:
    $unmount"
    puts stderr $::auto_path
    } else {
    cd tests
    source all.tcl
    cd ..
    cd ..
    puts [pwd]
    eval $unmount
    set res "ok"
    }
    cd $testdir
    set res

    ---- Result was:
    Couldn't make zip archive to test with: couldn't read file
    "./zipvfs.tcl": no su
    ch file or directory
    ---- Result should have been (exact matching):
    ok
    ==== vfsArchive-1.1 FAILED

    /tmp/tcl/tclvfs
    Making mk4 archive of tests
    Done making mk4 archive
    . /tmp/tcl/tcl/library /tmp/tcl/tcl /tmp/tcl/tcl/lib
    /tmp/tcl/lib

    ==== vfsArchive-1.2 run tests in mk4 archive FAILED
    ==== Contents of test case:

    # If this test fails, you probably don't have tclkit and
    'sdx'
    # installed. That's not a big deal.
    set testdir [pwd]
    puts stderr $testdir
    package require vfs
    if {[catch {makeAndMountMk4Archive} unmount]} {
    set res "Couldn't make mk4 archive to test with:
    $unmount"
    puts stderr $::auto_path
    } else {
    cd tests
    source all.tcl
    cd ..
    cd ..
    puts [pwd]
    eval $unmount
    set res "ok"
    }
    cd $testdir
    set res

    ---- Result was:
    Couldn't make mk4 archive to test with: couldn't read file
    "./mk4vfs.tcl": no su
    ch file or directory
    ---- Result should have been (exact matching):
    ok
    ==== vfsArchive-1.2 FAILED
    vfsFtp.test
    These tests require an internet connection, and might
    take a long time to complete.
    Unknown state "list_sent"
    while executing
    "error "Unknown state \"$ftp(State)\"""
    ("default" arm line 2)
    invoked from within
    "switch -- $ftp(State) {
    list {
    fileevent $sock readable [list [namespace
    current]::HandleList $s $s
    ock]
    set ftp(Source..."
    (procedure "::ftp::InitDataConn" line 26)
    invoked from within
    "::ftp::InitDataConn 0 sock6 128.54.16.7 20"
    error error | E: Timeout of control connection after 600
    sec.!
    too many nested evaluations (infinite loop?)
    (procedure "CloseDataConn" line 17)
    invoked from within
    "CloseDataConn $s"
    (procedure "::ftp::StateHandler" line 44)
    invoked from within
    "::ftp::StateHandler 0 sock4"
    can't wait for variable "::ftp::ftp0(state.data)": would
    wait forever
    while executing
    "vwait ::ftp::ftp${s}(state.data)"
    (procedure "WaitComplete" line 9)
    invoked from within
    "WaitComplete $s 0"
    (procedure "::ftp::StateHandler" line 45)
    invoked from within
    "::ftp::StateHandler 0 sock4"

    (followed by many many copies of this stack)

    ==== vfsFtp-1.1 mount and cd FAILED
    ==== Contents of test case:

    vfs::ftp::Mount ftp://ftp.ucsd.edu/pub/alpha/ localmount
    cd localmount
    cd tcl
    file tail [pwd]

    ---- Result was:
    couldn't change working directory to "tcl": no such file or
    directory
    ---- Result should have been (exact matching):
    tcl
    ---- Test generated error; Return code was: 1
    ---- Return code should have been one of: 0 2
    ==== vfsFtp-1.1 FAILED

    ==== vfsFtp-1.2 mount and glob FAILED
    ==== Contents of test case:

    glob -nocomplain vfsTest.tcl

    ---- Result was:

    ---- Result should have been (exact matching):
    vfsTest.tcl
    ==== vfsFtp-1.2 FAILED

    ==== vfsFtp-1.3 mount and source FAILED
    ==== Contents of test case:

    source vfsTest.tcl

    ---- Result was:
    couldn't read file "vfsTest.tcl": no such file or directory
    ---- Result should have been (exact matching):
    This was returned from a remote file
    ---- Test generated error; Return code was: 1
    ---- Return code should have been one of: 0 2
    ==== vfsFtp-1.3 FAILED

    vfsUrl.test
    These tests require an internet connection, and might
    take a long time to complete.
    Unknown state "list_sent"
    while executing
    "error "Unknown state \"$ftp(State)\"""
    ("default" arm line 2)
    invoked from within
    "switch -- $ftp(State) {
    list {
    fileevent $sock readable [list [namespace
    current]::HandleList $s $s
    ock]
    set ftp(Source..."
    (procedure "::ftp::InitDataConn" line 26)
    invoked from within
    "::ftp::InitDataConn 1 sock8 199.60.48.230 20"
    too many nested evaluations (infinite loop?)
    (procedure "CloseDataConn" line 17)
    invoked from within
    "CloseDataConn $s"
    (procedure "::ftp::StateHandler" line 44)
    invoked from within
    "::ftp::StateHandler 1 sock6"

     
  • Logged In: YES
    user_id=15949

    With the Jan 30 CVS snapshot found at activestate's CVS
    snapshot ftp site, the following errors cause tclvfs's make
    test to fail:

    /projects/gnu/sparc-sun-solaris2.6/bin/ginstall:
    `/vol/tclsrcsol/tcl84/tclvfs/li
    brary/ftpvfs.tcl' and `./library/ftpvfs.tcl' are the same file
    /projects/gnu/sparc-sun-solaris2.6/bin/ginstall:
    `/vol/tclsrcsol/tcl84/tclvfs/li
    brary/httpvfs.tcl' and `./library/httpvfs.tcl' are the same file
    /projects/gnu/sparc-sun-solaris2.6/bin/ginstall:
    `/vol/tclsrcsol/tcl84/tclvfs/li
    brary/mk4vfs.tcl' and `./library/mk4vfs.tcl' are the same file
    /projects/gnu/sparc-sun-solaris2.6/bin/ginstall:
    `/vol/tclsrcsol/tcl84/tclvfs/li
    brary/starkit.tcl' and `./library/starkit.tcl' are the same file
    /projects/gnu/sparc-sun-solaris2.6/bin/ginstall:
    `/vol/tclsrcsol/tcl84/tclvfs/li
    brary/tarvfs.tcl' and `./library/tarvfs.tcl' are the same file
    /projects/gnu/sparc-sun-solaris2.6/bin/ginstall:
    `/vol/tclsrcsol/tcl84/tclvfs/li
    brary/tclIndex' and `./library/tclIndex' are the same file
    /projects/gnu/sparc-sun-solaris2.6/bin/ginstall:
    `/vol/tclsrcsol/tcl84/tclvfs/li
    brary/tclprocvfs.tcl' and `./library/tclprocvfs.tcl' are the
    same file
    /projects/gnu/sparc-sun-solaris2.6/bin/ginstall:
    `/vol/tclsrcsol/tcl84/tclvfs/li
    brary/testvfs.tcl' and `./library/testvfs.tcl' are the same file
    /projects/gnu/sparc-sun-solaris2.6/bin/ginstall:
    `/vol/tclsrcsol/tcl84/tclvfs/li
    brary/vfsUrl.tcl' and `./library/vfsUrl.tcl' are the same file
    /projects/gnu/sparc-sun-solaris2.6/bin/ginstall:
    `/vol/tclsrcsol/tcl84/tclvfs/li
    brary/vfsUtils.tcl' and `./library/vfsUtils.tcl' are the
    same file
    /projects/gnu/sparc-sun-solaris2.6/bin/ginstall:
    `/vol/tclsrcsol/tcl84/tclvfs/li
    brary/vfslib.tcl' and `./library/vfslib.tcl' are the same file
    /projects/gnu/sparc-sun-solaris2.6/bin/ginstall:
    `/vol/tclsrcsol/tcl84/tclvfs/li
    brary/webdavvfs.tcl' and `./library/webdavvfs.tcl' are the
    same file
    /projects/gnu/sparc-sun-solaris2.6/bin/ginstall:
    `/vol/tclsrcsol/tcl84/tclvfs/li
    brary/zipvfs.tcl' and `./library/zipvfs.tcl' are the same file
    make: *** [libraries] Error 1

     
    • status: closed-fixed --> open-fixed
     
  • Logged In: YES
    user_id=15949

    As of the Jan 30, 2003 cvs snapshot of Tclvfs, the make all
    (note - NOT test!) fails in this manner after a clean
    extract from the tar , configure and build on SPARC Solaris
    2.6 and Sun compiler:

    $ make all
    /projects/gnu/sparc-sun-solaris2.6/bin/ginstall:
    `/vol/tclsrcsol/tcl84/tclvfs/library/ftpvfs.tcl' and
    `./library/ftpvfs.tcl' are the same file
    /projects/gnu/sparc-sun-solaris2.6/bin/ginstall:
    `/vol/tclsrcsol/tcl84/tclvfs/library/httpvfs.tcl' and
    `./library/httpvfs.tcl' are the same file
    /projects/gnu/sparc-sun-solaris2.6/bin/ginstall:
    `/vol/tclsrcsol/tcl84/tclvfs/library/mk4vfs.tcl' and
    `./library/mk4vfs.tcl' are the same file
    /projects/gnu/sparc-sun-solaris2.6/bin/ginstall:
    `/vol/tclsrcsol/tcl84/tclvfs/library/starkit.tcl' and
    `./library/starkit.tcl' are the same file
    /projects/gnu/sparc-sun-solaris2.6/bin/ginstall:
    `/vol/tclsrcsol/tcl84/tclvfs/library/tarvfs.tcl' and
    `./library/tarvfs.tcl' are the same file
    /projects/gnu/sparc-sun-solaris2.6/bin/ginstall:
    `/vol/tclsrcsol/tcl84/tclvfs/library/tclIndex' and
    `./library/tclIndex' are the same file
    /projects/gnu/sparc-sun-solaris2.6/bin/ginstall:
    `/vol/tclsrcsol/tcl84/tclvfs/library/tclprocvfs.tcl' and
    `./library/tclprocvfs.tcl' are the same file
    /projects/gnu/sparc-sun-solaris2.6/bin/ginstall:
    `/vol/tclsrcsol/tcl84/tclvfs/library/testvfs.tcl' and
    `./library/testvfs.tcl' are the same file
    /projects/gnu/sparc-sun-solaris2.6/bin/ginstall:
    `/vol/tclsrcsol/tcl84/tclvfs/library/vfsUrl.tcl' and
    `./library/vfsUrl.tcl' are the same file
    /projects/gnu/sparc-sun-solaris2.6/bin/ginstall:
    `/vol/tclsrcsol/tcl84/tclvfs/library/vfsUtils.tcl' and
    `./library/vfsUtils.tcl' are the same file
    /projects/gnu/sparc-sun-solaris2.6/bin/ginstall:
    `/vol/tclsrcsol/tcl84/tclvfs/library/vfslib.tcl' and
    `./library/vfslib.tcl' are the same file
    /projects/gnu/sparc-sun-solaris2.6/bin/ginstall:
    `/vol/tclsrcsol/tcl84/tclvfs/library/webdavvfs.tcl' and
    `./library/webdavvfs.tcl' are the same file
    /projects/gnu/sparc-sun-solaris2.6/bin/ginstall:
    `/vol/tclsrcsol/tcl84/tclvfs/library/zipvfs.tcl' and
    `./library/zipvfs.tcl' are the same file
    make: *** [libraries] Error 1

     
  • Logged In: YES
    user_id=15949

    Okay, after a request from Jeff to not build tclvfs from
    within the source tree, I got the latest CVS head into a
    fresh directory. I created a new directory outside the
    source tree. I then typed:
    ../tclvfs/configure --prefix=/usr/tcl84 --enable-shared
    --enable-symbols
    and then typed
    make all
    make test

    and I got this as test suite output:
    Tests began at Fri Jan 31 14:17:53 EST 2003
    vfs.test
    can't find package vfs
    vfsArchive.test
    /vol/tclsrcsol/tcl84/build

    ==== vfsArchive-1.1 run tests in zip archive FAILED
    ==== Contents of test case:

    # If this test fails, you probably don't have 'zip'
    installed.
    set testdir [pwd]
    puts stderr $testdir
    package require vfs
    if {[catch {makeAndMountZipArchive} unmount]} {
    set res "Couldn't make zip archive to test with:
    $unmount"
    puts stderr $::auto_path
    } else {
    cd tests
    source all.tcl
    cd ..
    cd ..
    puts [pwd]
    eval $unmount
    set res "ok"
    }
    cd $testdir
    set res

    ---- Result was:
    can't find package vfs
    ---- Result should have been (exact matching):
    ok
    ---- Test generated error; Return code was: 1
    ---- Return code should have been one of: 0 2
    ==== vfsArchive-1.1 FAILED

    /vol/tclsrcsol/tcl84/build

    ==== vfsArchive-1.2 run tests in mk4 archive FAILED
    ==== Contents of test case:

    # If this test fails, you probably don't have tclkit and
    'sdx'
    # installed. That's not a big deal.
    set testdir [pwd]
    puts stderr $testdir
    package require vfs
    if {[catch {makeAndMountMk4Archive} unmount]} {
    set res "Couldn't make mk4 archive to test with:
    $unmount"
    puts stderr $::auto_path
    } else {
    cd tests
    source all.tcl
    cd ..
    cd ..
    puts [pwd]
    eval $unmount
    set res "ok"
    }
    cd $testdir
    set res

    ---- Result was:
    can't find package vfs
    ---- Result should have been (exact matching):
    ok
    ---- Test generated error; Return code was: 1
    ---- Return code should have been one of: 0 2
    ==== vfsArchive-1.2 FAILED

    vfsFtp.test
    can't find package vfs 1.0
    vfsUrl.test
    can't find package vfs
    vfsZip.test
    can't find package vfs

     
1 2 > >> (Page 1 of 2)